{% extends "siswa/userbase.html.twig" %}

{% block moreCss %}
    <link rel="stylesheet" type="text/css" href="{{ asset('vendor/slick/slick.css') }}"/>
    <link rel="stylesheet" href="{{ asset('vendor/bootstrap/css/bootstrap-datepicker.min.css') }}">
{% endblock %}

{% block body %}
    {% if is_granted('ROLE_MEMBER') %}
        {% embed 'siswa/beranda/beranda.html.twig' %}
        {% endembed %}
    {% else %}
        {% embed 'siswa/beranda/berandaAnonymous.html.twig' %}
        {% endembed %}
        {% embed 'siswa/footer.twig' %}
        {% endembed %}
    {% endif %}
{% endblock %}

{% block JSMore %}
    <script type="text/javascript" src="{{ asset('vendor/slick/slick.min.js') }}"></script>
    <script src="{{ asset('vendor/bootstrap/js/bootstrap-datepicker.min.js') }}"></script>
    <script src="{{ asset('vendor/bootstrap/js/locales/bootstrap-datepicker.id.min.js') }}"></script>
    <script type="text/javascript" src="{{ asset('js/wkwkwk.js') }}"></script>
    <script type="text/javascript" src="{{ asset('js/controller/Promo.js') }}"></script>
    {% if is_granted('ROLE_MEMBER') %}
        <script type="text/javascript" src="{{ asset('js/controller/Notification.js') }}"></script>
        <script type="text/javascript" src="{{ asset('js/controller/DashboardMember.js') }}"></script>
        {% if ai == true %}
            <script>
                var l_id = '{{ memberClass.getLevel() != null ? memberClass.getLevel().getId() : '' }}';
                var d_id = {{ district.getId() }};
                var m_id = '{{ method.getSlug() }}';
                $('.toast').toast({
                    animation: true,
                    autohide: true,
                    delay: 2500
                });
            </script>
            <script type="text/javascript" src="{{ asset('js/controller/RecommendationByClass.js') }}"></script>
        {% endif %}
    {% else %}
        <script type="text/javascript" src="{{ asset('js/controller/FilterBox.js') }}"></script>
        <script type="text/javascript" src="{{ asset('js/controller/LandingPage.js') }}"></script>
    {% endif %}
{% endblock %}